function refreshProdEnqCaptchaImage()	
{
	var i = Math.round(100*Math.random())
	document.getElementById("captcha_img_2").src = "../captcha/captcha.php?.png&img="+i;
}

jQuery(document).ready(function(){
		
			/*
			 * Get the text value of the stock option selected
			 * and inject into enquiry form link as GET vars
			 */
			
			
		// listen for change event on stock options and proceed if detected	
		jQuery('.bs-stock-options').change(function(){
			
			// put text of selected option into a variable		
			var optionText = jQuery(this).find('option:selected').text();
			// put second class of selected object into a variable
			var selectClass = jQuery(this).attr('class').split(' ')[1];
			// disect class to obtain the pid and put in a variable
			var productPid = selectClass.split('-')[2];
			// disect class to obtain the option number for items with multiple variants and put in a variable
			var optionNumber = selectClass.split('-')[3];
			// create variable to contain a DOM ID to match the targeted product pid
			var enquiryLinkId = '#prod-enq-'+productPid;
			// create a var with a value matching the product enquiry link for the selected product 
			// by matching the id of the link with the id created above from the stock option class 
			var prodEnqLink = jQuery(enquiryLinkId).attr('href');
			// split the link into the main part and the query string
			var splitHref = prodEnqLink.split('?');
			// save the main part of the link in a variable
			var trunkUrl = splitHref[0];
			// save the query string in another variable
			var optsUrl = splitHref[1];
			// if the value of the selected option is please select reset the value of the optiontext to 0
			if(optionText=='-- please select --'){
				optionText = 0;
			}
			//split the query string into parts 	
			var optionsUrlParts = optsUrl.split('&');
			var opt1 = optionsUrlParts[2].split('=')[1];
			var opt2 = optionsUrlParts[3].split('=')[1];
			var opt3 = optionsUrlParts[4].split('=')[1];
			var opt4 = optionsUrlParts[5].split('=')[1];
			var opt5 = optionsUrlParts[6].split('=')[1];
			// check which option number has been selected to change and update the value of the 
			// option variable created from the split query string
			switch(optionNumber){
				case '1':
					opt1 = optionText
					break;
				case '2':
					opt2 = optionText
					break;
				case '3':
					opt3 = optionText
					break;
				case '4':
					opt4 = optionText
					break;
				case '5':
					opt5 = optionText
					break;
			}
			// reconstruct a link using the exploded url parts and any new value created after the above events	
			var newEnqLink = trunkUrl+'?'+optionsUrlParts[0]+'&'+optionsUrlParts[1]+'&opt1='+opt1+'&opt2='+opt2+'&opt3='+opt3+'&opt4='+opt4+'&opt5='+opt5;
			// inject the link into the href value of the target enquiry	
			jQuery(enquiryLinkId).attr('href',newEnqLink);
		
		})
		
		var notificationBox = jQuery('#notification-box');
			
		jQuery('#prod-enq-form').validate({
					
			submitHandler: function(form) {
								
				jQuery("#harry-belafonte").fadeIn(500);
				var fields = jQuery('#prod-enq-form').serialize();
				fields = fields+"&ajax=1";
				jQuery.ajax({
					type: "POST",
					url: '/sendmail.php',
					data: fields,
					success: function(result) {
						var result = jQuery.parseJSON(result);
						if (result.status == 'sent_okay') {
							jQuery.ajax({
								success: function(result) {
									jQuery("#harry-belafonte").fadeOut(500);
									refreshProdEnqCaptchaImage();	
									notificationBox.html("Thank you. Your enquiry has been sent.");
									jQuery(':input','#prod-enq-form').not(':submit').val('');
									notificationBox
									.hide()
									.fadeIn('500')
									.removeClass('error_message')
									.addClass('success_message')
									.delay(3000)
									.fadeOut('5000')
									;
								}
							});
						} else if (result.status == 'sending_failed') {
							jQuery("#harry-belafonte").fadeOut(500);
							refreshProdEnqCaptchaImage();
							notificationBox.html("Sorry. An error has prevented the message from being sent.");
							notificationBox
							.hide()
							.fadeIn('500')
							.removeClass('success_message')
							.addClass('error_message');
							
						} else if(result.status == 'captcha_fail'){
							jQuery("#harry-belafonte").fadeOut(500);
							refreshProdEnqCaptchaImage();
							notificationBox
							.html("The captcha entered was incorrect, please try again.")
							.hide()
							.fadeIn('500')
							.removeClass('success_message')
							.addClass('error_message');
						}
							
					}
				});
			}
		});
			
})